# Notes for Tutorium 12 - 19.01.2024

## Topics

- Type Annotation - The Full Guide
    - Basics
        - parameter
        - variable
        - return type
        - 
    - Advanced
        - Collections
        - ~~args, kwargs~~
- Functional programming
    - `lambda`
    - map
    - filter
    - reduce
    - flatten
    - function composition
    - Maybe-Type